From 7c4569a66fd3584610296e6ba54c17936775c787 Mon Sep 17 00:00:00 2001
From: Akash Mehrotra <mehrotra.akash@gmail.com>
Date: Thu, 4 Aug 2011 17:50:44 +0530
Subject: [PATCH 03/13] LUA:Expose aout

---
 modules/lua/libs/objects.c |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

diff --git a/modules/lua/libs/objects.c b/modules/lua/libs/objects.c
index fe3189d..b29816d 100644
--- a/modules/lua/libs/objects.c
+++ b/modules/lua/libs/objects.c
@@ -128,7 +128,22 @@ static int vlclua_get_vout( lua_State *L )
     lua_pushnil( L );
     return 1;
 }
-
+static int vlclua_get_aout( lua_State *L )
+{
+    input_thread_t *p_input= vlclua_get_input_internal( L );
+    if( p_input )
+    {
+        audio_output_t *p_aout = input_GetAout( p_input );
+        vlc_object_release(p_input);
+        if(p_aout)
+        {
+            vlclua_push_vlc_object( L, p_aout );
+            return 1;
+        }
+    }
+    lua_pushnil( L );
+    return 1;
+}
 /*****************************************************************************
  *
  *****************************************************************************/
@@ -138,6 +153,7 @@ static const luaL_Reg vlclua_object_reg[] = {
     { "libvlc", vlclua_get_libvlc },
     { "find", vlclua_object_find },
     { "vout", vlclua_get_vout},
+    { "aout", vlclua_get_aout},
     { NULL, NULL }
 };
 
-- 
1.7.4.1

